Issue #17142 has been updated by ReiOdaira (Rei Odaira).


Are you using GCC to build ruby?

----------------------------------------
Bug #17142: Ruby fails to build in AIX 
https://bugs.ruby-lang.org/issues/17142#change-88273

* Author: Ayappan (Ayappan Perumal)
* Status: Open
* Priority: Normal
* ruby -v: 2.7.1
* Backport: 2.5: DONTNEED, 2.6: DONTNEED, 2.7: REQUIRED
----------------------------------------
Ruby fails to build in AIX in 64bit mode.

This commit https://github.com/ruby/ruby/commit/f47c38245ff6976c5d1fc27a79f239bba00fc333 essentially broke the 64bit build.

The asm code is not applicable for AIX it seems. Probably we need to add a !defined(_AIX) check on this.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>